package com.isu.gaswellwatch.dto;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class RoleDTO {
    //名称
    @NotBlank(message = "名称不能为空")
    private String name;
    //描述
    private String description;

    @NotNull(message = "角色菜单不能为空")
    private List<RoleMenuDTO> roleMenuDTOList;
}
